
Capistrano::Configuration.instance.load do
  
  require 'capistrano'
  require 'ratchetify/helpers'
  require 'ratchetify/service'
  require 'ratchetify/db'
  
  before "undeploy", "service:remove"
  before "undeploy", "db:drop"
  
  desc "Undeploy an app from uberspace"
  namespace :undeploy do
    
    desc "Undeploy an app from uberspace"
    task :default do
      remove_repo
    end
    
    task :remove_repo do
      run "cd #{deploy_root} && rm -rf #{fetch :application}"
      run "cd #{webroot_dir} && rm -rf #{fetch :host}.#{fetch :domain}"
      run "cd #{webroot_dir} && rm -rf #{fetch :domain}" unless (wildcard_domain == false)
    end
    
  end # namespace
end
