
Capistrano::Configuration.instance.load do
  
  require 'capistrano'
  require 'ratchetify/helpers'
  require 'ratchetify/service'
  require 'ratchetify/git'
  
  before :update, "service:stop"
  before :update, "git:update_repo"
  after :update, "service:start"
  
  desc "Tasks to update an app"
  namespace :update do
    
    desc "Stop the service, update the app then restart"
    task :default do
      
      # run bundle install first
      run "cd #{deploy_dir} && bundle install --path ~/.gem"
      
      # run rake db:migrate to create all tables etc
      run "cd #{deploy_dir} && bundle exec rake db:migrate RAILS_ENV=#{fetch :environment}"
      
      # compile assets from the asset pipeline
      run "cd #{deploy_dir} && bundle exec rake assets:precompile RAILS_ENV=#{fetch :environment}"
      
    end # end task :default
    
  end
end