
Capistrano::Configuration.instance.load do
  
  require 'capistrano'
  require 'ratchetify/helpers'
  require 'ratchetify/setup'
  require 'ratchetify/domain'
  require 'ratchetify/db'
  
  before "create:wordpress", "setup:environment"
  before "create:wordpress", "db:create"
  after "create:wordpress", "domain:add"
  
  desc "Deploy an app for the first time"
  namespace :create do
    
    desc "Deploy a standard wordpress blog to uberspace"
    task :wordpress do
      create_web_dir
      finalize
    end
    
    
    task :create_web_dir do
      # download the worpress .tar
      unless dir_exists? deploy_dir
        # download wp and unpack it
        run "cd #{webroot_dir} && curl -O https://s3-eu-west-1.amazonaws.com/ratchetp/wordpress-3.8.1.tar.gz"
        #run "cd #{deploy_root} && mkdir wp_tmp"
        run "cd #{webroot_dir} && tar xfz wordpress* -C #{deploy_root}"
        run "cd #{deploy_root} && mv wordpress #{application}"
        
        # cleanup
        #run "cd #{deploy_root} && rm wordpress*"
        run "cd #{webroot_dir} && rm -rf wordpress*"
        
      end
      
    end # task :create_dir
        
    task :finalize do
      # create symbolic links..
      run "cd #{webroot_dir} && ln -s #{deploy_dir} #{fetch :host}.#{fetch :domain}"
      run "cd #{webroot_dir} && ln -s #{deploy_dir} #{fetch :domain}" unless (wildcard_domain == false)
    end # task :finalize
    
  end # namespace
end
